# GemsGenerator

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/gems_generator`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'gems_generator'
```

And then execute:

    $ bundle

## Usage

Install relevant rspec  gems:
```ruby
rails generate gems_generator:rspec:init YourProjectName
```

Install relevant grape gems:
```ruby
rails generate gems_generator:grape:init
```

Install config gems:
```ruby
#Gemfile
gem 'config'
#console
bundle install
rails generate config:install
```

Install mysql2 gems:
```ruby
#This will overwrite files that already exist.
#Need to config config/database.yml, such as db_name, db_password, etc.
rails generate mysql:install -f
#or
rails generate mysql:install --db_name your_db_name --db_user your_db_user --db_password your_db_password -f
#Then you need to config database.local.yml for production env.
```

Config gitignore
```
rails generate gems_generator:config:gitignore
```

Config Lograge
```
rails generate gems_generator:lograge:init
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/ji.zhang/gems_generator. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

