# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gems_generator/version'

Gem::Specification.new do |spec|
  spec.name          = "gems_generator"
  spec.version       = GemsGenerator::VERSION
  spec.authors       = ["ji.zhang"]
  spec.email         = ["zhangjiha@hotmail.com"]

  spec.summary       = %q{Use scaffold to generate gems config, such as lograge、rspec、grape etc.}
  spec.homepage      = "https://github.com/zhangjiha/gems_generator.git"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rails"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "aruba"
  spec.add_development_dependency "generator_spec"
  spec.add_development_dependency "pry"
end
